Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Payment Service

Reply
Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: Error: "The Item you requested is invalid"

With one big difference, the app was not installed through BlackBerry World. 

 

Try installing the app through BlackBerry World, if you get the same error then the issue is related, otherwise you need to start a new post.

Garett
@garettBeuk
--
Goodbye everybody!
Contributor
Posts: 16
Registered: ‎04-12-2013
My Device: Z10
My Carrier: MOBILE

Re: Error: "The Item you requested is invalid"

From reading the internet I understand that the roll-out of 10.1. is carrier dependent and might take some time. It is not a solution for me to display an info message to the user to inform them to wait. The user wants the full version now and I want to sell my software.

 

I would really wish if BB could look deeper into this issue on the backend side. I believe the failed purchases should create some kind of error message on the backend which could be analysed and maybe there could be an easy fix just on the backend side of App World without the need to wait for a roll-out of new OS version.

 

You are doing a great job with qnx and also attracting developers and I do enjoy developing for BB 10 but what's the sense if I am not able to sell my apps?

 

 

Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: Error: "The Item you requested is invalid"

Hi hauga,

 

At this time you are the only developer I have had a report of having this issue. I have provided steps for you to perform for further validating this issue (try the sample app) which I have not heard back from you on. Have you completed this test? If so please let me know the results.

Garett
@garettBeuk
--
Goodbye everybody!
Contributor
Posts: 16
Registered: ‎04-12-2013
My Device: Z10
My Carrier: MOBILE

Re: Error: "The Item you requested is invalid"

I decided to go a different route now and have started to add my full version as a separate product.

 

I just do not feel confident with the current in-App purchase -even if it would work somehow I would not know for sure if it would work for all different OS Versions out there and I need to provide a working app to my customers.

 

Then maybe in a few months, if all customers are on a new OS Version, I will switch back to in-App purchase.

 

I think that is the safest approach right now, what do you think?

Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: Error: "The Item you requested is invalid"

I still believe that testing against the sample app would be the best approach. This would help eliminate a couple of variables:

Issues with the code

Issues with your vendor account

 

And would also help to use as a baseline. This could be done in tandem with releasing a paid version if desired.

Garett
@garettBeuk
--
Goodbye everybody!
Contributor
Posts: 16
Registered: ‎04-12-2013
My Device: Z10
My Carrier: MOBILE

Re: Error: "The Item you requested is invalid"

Yes, I will do that in parallel as well and send you feedback on the sample app
Contributor
Posts: 16
Registered: ‎04-12-2013
My Device: Z10
My Carrier: MOBILE

Re: Error: "The Item you requested is invalid"

Garett, I had a bit of problems with the sample app and flash builder 4.6 but anyway I have a clear picture of the problem now.

 

In the scheduled report in the vendor portal I can see the OS Version of the customers. All purchases were only from BB OS 10.1 and I also double checked with some customers on the failed purchases and these customers were all below 10.1.

 

So I am pretty sure now that the new 10.1. Version will solve the issue.

Developer
Posts: 660
Registered: ‎10-08-2009
My Device: Bold 9900
My Carrier: Telus

Re: Error: "The Item you requested is invalid"

I am also seeing this issue. My app have been built via Cascades and the name of the app is "Corky Notes". I've used SDK 10.1.0.1627 and I've quadruple checked the sku, deletion of payment method, etc.

 

Is this issue really carrier dependent? If so, it's pretty serious.

----------------------------------------------------------
Twitter: @gyubok
Highlighted
Retired
Posts: 2,559
Registered: ‎10-16-2009
My Device: BlackBerry Z10
My Carrier: Bell

Re: Error: "The Item you requested is invalid"


gyubok wrote:

I am also seeing this issue. My app have been built via Cascades and the name of the app is "Corky Notes". I've used SDK 10.1.0.1627 and I've quadruple checked the sku, deletion of payment method, etc.

 

Is this issue really carrier dependent? If so, it's pretty serious.


The OS version is carrier dependent, and this issue also apears isolated to AIR applications. If your application is using something other than AIR then please start a new thread.

Garett
@garettBeuk
--
Goodbye everybody!
Contributor
Posts: 24
Registered: ‎05-03-2013
My Device: Z10
My Carrier: Blackberry

Re: Error: "The Item you requested is invalid"

Hello ,

         I am facing the same problem. My digital good is also approved. I have added digital goods to my existing app whose status is "up for sale " and then i added a new release with in app purchase to same app but saved it to draft(not submitted for review). Downloaded the same .bar file through QNX in my device and tried to purchase the item. But after filling the details for my CC it gives me an error "The item is invalid" with error code 30242 and error message "There was problems. Please try again. {30242}" . Thanks for the help in advance.